> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rollfi.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# getEmployeePayPeriodTimeCard

> The `getEmployeePayPeriodTimeCard` API retrieves an employee's timecard for a given payPeriod

### When to use:
- To display timecards on employee facing screens
- For a more detailed view of time entries so individual days can be edited, and the timecard can be approved using `updateTimeCardApprovals`

### What it does:
- Fetches in depth time entry information for an employee in a given payPeriod
- Displays time entries and breaks for each day in the payPeriod
- Displays top level totals for the employee's timecard and their overtime eligibility

### Notes:
- All times are displayed in the employee's local time
- For more information about timeCard statuses please see our [Time Tracking Guide](developer.rollfi.xyz/docs/TimeTrackingGuide).




## OpenAPI

````yaml get /reports/getEmployeePayPeriodTimeCard
openapi: 3.1.0
info:
  title: Default module
  description: |
    Webhook events emitted when a company's KYB status is created or changes.

    Rollfi sends these requests to the webhook URL configured for the client.
    Consumers should return a successful 2xx response after accepting the event.
  version: 1.0.0
servers: []
security: []
tags:
  - name: Admin Portal
  - name: TimeOff Admin
  - name: TimeTracking Admin
  - name: TimeOff User
  - name: TimeTracking User
  - name: TimeTracking Reports
  - name: TimeOff Reports
  - name: Pay Schedule Webhooks
  - name: Pay Period Webhooks
  - name: Employee Bank Account Webhooks
  - name: Employee KYC Webhooks
  - name: Company Bank Account Webhooks
  - name: Company Webhooks
  - name: Employee Status Webhooks
paths:
  /reports/getEmployeePayPeriodTimeCard:
    get:
      tags:
        - TimeTracking Reports
      summary: getEmployeePayPeriodTimeCard
      description: >
        The `getEmployeePayPeriodTimeCard` API retrieves an employee's timecard
        for a given payPeriod


        ### When to use:

        - To display timecards on employee facing screens

        - For a more detailed view of time entries so individual days can be
        edited, and the timecard can be approved using `updateTimeCardApprovals`


        ### What it does:

        - Fetches in depth time entry information for an employee in a given
        payPeriod

        - Displays time entries and breaks for each day in the payPeriod

        - Displays top level totals for the employee's timecard and their
        overtime eligibility


        ### Notes:

        - All times are displayed in the employee's local time

        - For more information about timeCard statuses please see our [Time
        Tracking Guide](developer.rollfi.xyz/docs/TimeTrackingGuide).
      operationId: getEmployeePayPeriodTimeCard
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                method:
                  type: string
                userId:
                  type: string
                companyId:
                  type: string
                payPeriodId:
                  type: string
              required:
                - method
                - userId
                - companyId
                - payPeriodId
            example:
              method: getEmployeePayPeriodTimeCard
              userId: C4CA148F-F2C6-4E70-8349-57CC6DFC1C2B
              companyId: 5221FFCF-E84B-4690-B7DC-DE29D549096B
              payPeriodId: 3EAEC271-6C06-4E17-8C3B-1C6649D534D5
      responses:
        '200':
          description: Employee pay period time card
          content:
            application/json:
              schema:
                type: object
                properties:
                  payPeriodTimeCard:
                    type: object
                    properties:
                      timeCardId:
                        type: string
                      approvalStatus:
                        type: string
                      lastSynced:
                        type: string
                      isOvertimeEligible:
                        type: boolean
                      regularHours:
                        type: number
                      overtimeHours:
                        type: number
                      workDates:
                        type: array
                        items:
                          type: object
                          properties:
                            workDate:
                              type: string
                            regularHours:
                              type:
                                - integer
                                - number
                            overtimeHours:
                              type:
                                - number
                                - integer
                            timeEntries:
                              type: array
                              items:
                                type: object
                                properties:
                                  timeEntryId:
                                    type: string
                                  clockInTime:
                                    type: string
                                  clockOutTime:
                                    type: string
                                  breaks:
                                    type: array
                                    items:
                                      type: object
                                      properties:
                                        breakStart:
                                          type: string
                                        breakEnd:
                                          type: string
                                      required:
                                        - breakStart
                                        - breakEnd
                                required:
                                  - timeEntryId
                                  - clockInTime
                                  - clockOutTime
                                  - breaks
                          required:
                            - workDate
                            - regularHours
                            - overtimeHours
                            - timeEntries
                    required:
                      - timeCardId
                      - approvalStatus
                      - isOvertimeEligible
                      - regularHours
                      - workDates
                required:
                  - payPeriodTimeCard
              example:
                payPeriodTimeCard:
                  timeCardId: 4DDB60ED-BC33-49FA-A589-E29FB6C4FD5C
                  approvalStatus: New
                  lastSynced: null
                  isOvertimeEligible: true
                  regularHours: 71.76
                  overtimeHours: 10.46
                  workDates:
                    - workDate: '2026-03-01'
                      regularHours: 8
                      overtimeHours: 3.67
                      timeEntries:
                        - timeEntryId: 8B57BE5E-D6F3-49C4-9A7A-CFBE74019C00
                          clockInTime: '07:30:00'
                          clockOutTime: '19:40:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:30:00'
                    - workDate: '2026-03-02'
                      regularHours: 8
                      overtimeHours: 1.75
                      timeEntries:
                        - timeEntryId: D70A1260-A592-4A5D-B0E5-36E02AF1BC4C
                          clockInTime: '09:30:00'
                          clockOutTime: '19:45:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:30:00'
                    - workDate: '2026-03-03'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-04'
                      regularHours: 8
                      overtimeHours: 0.27
                      timeEntries:
                        - timeEntryId: 6CF7C88B-F0A0-4870-B8D3-8C90D533F152
                          clockInTime: '08:59:00'
                          clockOutTime: '17:45:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:30:00'
                    - workDate: '2026-03-05'
                      regularHours: 8
                      overtimeHours: 0.27
                      timeEntries:
                        - timeEntryId: AA441B88-9B18-4864-AE7E-8CDD033D8349
                          clockInTime: '08:59:00'
                          clockOutTime: '17:45:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:30:00'
                    - workDate: '2026-03-06'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-07'
                      regularHours: 7.75
                      overtimeHours: 0
                      timeEntries:
                        - timeEntryId: 3F62FCBA-5218-4655-A607-4896C586CE2F
                          clockInTime: '10:00:00'
                          clockOutTime: '18:30:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:45:00'
                    - workDate: '2026-03-08'
                      regularHours: 8
                      overtimeHours: 0.75
                      timeEntries:
                        - timeEntryId: FD706B06-0633-40DD-BB20-D38E10153BDF
                          clockInTime: '09:00:00'
                          clockOutTime: '18:30:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:45:00'
                    - workDate: '2026-03-09'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-10'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-11'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-12'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-13'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-14'
                      regularHours: 8
                      overtimeHours: 0.75
                      timeEntries:
                        - timeEntryId: C94195E5-EA1D-4A0E-B49F-5AEB69A384FC
                          clockInTime: '09:00:00'
                          clockOutTime: '18:30:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:45:00'
                    - workDate: '2026-03-15'
                      regularHours: 8
                      overtimeHours: 0.75
                      timeEntries:
                        - timeEntryId: 936F5117-63CA-4011-98CB-C8ED4D891BCB
                          clockInTime: '09:00:00'
                          clockOutTime: '18:30:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:45:00'
                    - workDate: '2026-03-16'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-17'
                      regularHours: 8
                      overtimeHours: 2.25
                      timeEntries:
                        - timeEntryId: 17A2DF13-EB87-4F5C-AD53-70F4B0E213AE
                          clockInTime: '09:00:00'
                          clockOutTime: '20:30:00'
                          breaks:
                            - breakStart: '12:00:00'
                              breakEnd: '12:45:00'
                            - breakStart: '16:00:00'
                              breakEnd: '16:30:00'
                    - workDate: '2026-03-18'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-19'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-20'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-21'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-22'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-23'
                      regularHours: 0.01
                      overtimeHours: 0
                      timeEntries:
                        - timeEntryId: 4942446B-5B19-4FC2-9559-9B74DE58D29B
                          clockInTime: '23:32:28'
                          clockOutTime: '23:39:06'
                          breaks:
                            - breakStart: '23:32:37'
                              breakEnd: '23:39:06'
                    - workDate: '2026-03-24'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-25'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-26'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-27'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-28'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-29'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-30'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
                    - workDate: '2026-03-31'
                      regularHours: 0
                      overtimeHours: 0
                      timeEntries: []
          headers: {}
        '400':
          description: Validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                      message:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - error
              example:
                error:
                  code: 400
                  message: companyId is required.
          headers: {}
      deprecated: false
      security: []

````